Summary: Firmware for the Intel Wireless WiFi 5100AGN, 5300AGN, and 5350AGN
Name: iwl5000-firmware
Version: 8.24.2.12
Release: 3.slc5
License: distributable
Group: System Environment/Kernel
Source0: iwlwifi-5000-ucode-%{version}.tgz
Source1: iwlwifi-5000-1.ucode
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware for the iwl5000 driver.
Usage of the firmware is subject to the terms contained in
%{_defaultdocdir}/%{name}-%{version}/LICENSE.  Please read
the license carefully.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p iwlwifi-5000-ucode-%{version}/*.ucode %{buildroot}/lib/firmware/
install -p %{SOURCE1} %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc iwlwifi-5000-ucode-%{version}/README.iwlwifi-5000-ucode iwlwifi-5000-ucode-%{version}/LICENSE.iwlwifi-5000-ucode
/lib/firmware/*

%changelog
* Wed Apr 07 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> 8.24.2.12
- initial release.

